Quassel IRC - Bug #583

Renaming "empty" identity causes Quassel to crash
02/27/2009 11:33 PM - Nightfall

Status: Resolved Start date: 02/27/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: General / Unspecified Estimated time: 0.00 hour
Target version:

Version: 0.4.0 0S: Linux
Description

If you try to rename an "empty" identity (see #582 for how to create one), Quassel (monolithic build) crashes.
gdb backtrace and crash log attached (two separate tries).

Associated revisions

Revision 8e56bbef20a6d13a05fa20ba85ff54e4a5817ee1 - 03/08/2009 04:05 PM - Marcus Eggenberger

Fixes #583 - identity settings: clicking delete or rename crashes client if there is no identity

Revision 8e56bbef - 03/08/2009 04:05 PM - Marcus Eggenberger

Fixes #583 - identity settings: clicking delete or rename crashes client if there is no identity

Revision 29b82c8fe5aae7adeabe3589b0c21de6d428e9b6 - 03/08/2009 04:24 PM - Marcus Eggenberger

Fixes #583 - identity settings: clicking delete or rename crashes client if there is no identity

Revision 29b82c8f - 03/08/2009 04:24 PM - Marcus Eggenberger

Fixes #583 - identity settings: clicking delete or rename crashes client if there is no identity

History

#1 - 03/08/2009 04:25 PM - EgS
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset 8e56bbef20a6d13a05fa20ba85ff54e4a5817ee1.

Files
quassel_crash.txt 4.57 KB 02/27/2009 Nightfall
Quassel-Crash-20090227-2316.log 2.42 KB 02/27/2009 Nightfall
